#!/bin/sh

set -xe

LLVMC=llvm-config
LLVM_LINKER="-lc++ $($LLVMC --libs core --cxxflags --ldflags --system-libs|tr '\n' ' ')"

odin run src -o:none -debug -out:speedcat -extra-linker-flags:"$LLVM_LINKER" -- pong.cat
clang -I/opt/local/include -L/opt/local/lib -lraylib -lm  -framework Cocoa -framework OpenGL -framework IOKit pong.ll -o raylib
